<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<IEnumerable<Mvcmode.E_eachqi>>" %>
<%@ Import Namespace="Mvcmode"%>
<%@ Import Namespace="Mvcbll"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"  xml:lang="zh-CN" lang="zh-CN">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<meta http-equiv="content-language" content="zh-CN" />
<title><%=Data.Bkname%>数字报</title>
<style type="text/css">
body {
	background-color:#FFFFFF;margin:0px;
}
img {
	border:1px solid #EBEBEB;
}
</style>
</head>
<body >
<div id="demo" style="overflow:hidden;height:260px;width:180px;color:#ffffff">
  <table border="0" align="left" cellpadding="0" cellspacing="0">
    <tr>
      <td id="demo1" valign="top">
      
      <table cellpadding="2" cellspacing="0" border="0">
      <tr align="center">
      <% 
   string link = "";
   string linkname = "";
   string imgstr="";
   string totalqi = "";
   string idate="";
   int i=0;
   foreach (var eachqi in  Model)
   {
	   i++;
       link = eachqi.Linkstr;
       double m = double.Parse(eachqi.Totalqi.ToString());
       Mvccom.Money money = new Mvccom.Money(m);
       totalqi=money.Convert();
       if (i>4)
	       break;
       linkname = "第" + totalqi + "期 ";
       linkname = linkname.Replace("第一十", "第十");
       imgstr = Linkurl.imgsrc(eachqi.Qipic);
       idate = eachqi.Issuedate.ToShortDateString().Replace("/",".");
  %><td><a href="<%=link%>" target="_blank"><img src="<%=imgstr %>" width="183" height="260"  alt="<%=linkname%>" /></a></td>
  <% }%>
</tr></table>

      </td>
      <td id="demo2" valign="top"></td>
    </tr>
  </table>
</div>
<script type="text/javascript">
    var speed = 30
    demo2.innerHTML = demo1.innerHTML
    function Marquee() {
        if (demo2.offsetWidth - demo.scrollLeft <= 0)
            demo.scrollLeft -= demo1.offsetWidth
        else {
            demo.scrollLeft++
        }
    }
    var MyMar = setInterval(Marquee, speed)
    demo.onmouseover = function() { clearInterval(MyMar) }
    demo.onmouseout = function() { MyMar = setInterval(Marquee, speed) }
</script>
</body>
</html>
